import PostsList from '../components/PostsList';

function Posts() {
  return (
    <main>
      <h1>Artykuły</h1>
      <PostsList />
    </main>
  );
}

export default Posts;

export async function loader() {
  const response = await fetch('https://jsonplaceholder.typicode.com/posts');
  if (!response.ok) {
    throw new Error('Nie można wczytać artykułów');
  }
  return response;
}
